CVE-2002-1011
CVSS7.5
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:32
NMCOS    

[原文]Buffer overflow in web server for Tivoli Management Framework (TMF) Endpoint 3.6.x through 3.7.1, before Fixpack 2, allows remote attackers to cause a denial of service or execute arbitrary code via a long HTTP GET request.


[CNNVD]IBM Tivoli Management Framework Endpoint缓冲区溢出漏洞(CNNVD-200210-010)

        Tivoli Management Framework (TMF) Endpoint 3.6.x到3.7.1且在Fixpack 2之前的版本的web服务器存在缓冲区溢出漏洞。远程攻击者借助超长HTTP GET请求导致服务拒绝或者执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ibm:tivoli_management_framework:3.6IBM Tivoli Management Framework 3.6
cpe:/a:ibm:tivoli_management_framework:3.6.1IBM Tivoli Management Framework 3.6.1
cpe:/a:ibm:tivoli_management_framework:3.7IBM Tivoli Management Framework 3.7
cpe:/a:ibm:tivoli_management_framework:3.7.1IBM Tivoli Management Framework 3.7.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1011
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1011
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-010
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5235
(VENDOR_ADVISORY)  BID  5235
http://www.iss.net/security_center/static/9555.php
(VENDOR_ADVISORY)  XF  tivoli-tmr-endpoint-bo(9555)
http://www.tivoli.com/secure/support/documents/security/mgt-fwk-http-vul.html
(UNKNOWN)  MISC  http://www.tivoli.com/secure/support/documents/security/mgt-fwk-http-vul.html
http://online.securityfocus.com/archive/1/282292
(UNKNOWN)  BUGTRAQ  20020715 Tivoli TMF Endpoint Buffer Overflow
http://archives.neohapsis.com/archives/vulnwatch/2002-q3/0023.html
(UNKNOWN)  VULNWATCH  20020715 Tivoli TMF Endpoint Buffer Overflow

- 漏洞信息

IBM Tivoli Management Framework Endpoint缓冲区溢出漏洞
高危 缓冲区溢出
2002-10-04 00:00:00 2005-10-20 00:00:00
远程  
        Tivoli Management Framework (TMF) Endpoint 3.6.x到3.7.1且在Fixpack 2之前的版本的web服务器存在缓冲区溢出漏洞。远程攻击者借助超长HTTP GET请求导致服务拒绝或者执行任意代码。

- 公告与补丁

        IBM has corrected this vulnerability in the latest Fixpack (currently Fixpack 2 or Patches 3.7.1-TMF-0066).
        The following fixes were reported available by the discoverer of this vulnerability. They have not been confirmed by SecurityFocus:
        IBM Tivoli Management Framework 3.6
        

  •         IBM Tivoli Fixpack 2Contact IBM support to obtain this Fixpack.
            

  •         

        IBM Tivoli Management Framework 3.6.1
        

  •         IBM Tivoli Fixpack 2Contact IBM support to obtain this Fixpack.
            

  •         

        IBM Tivoli Management Framework 3.7
        

  •         IBM Tivoli Fixpack 2Contact IBM support to obtain this Fixpack.
            

  •         

        IBM Tivoli Management Framework 3.7.1
        

  •         IBM Patches 3.7.1-TMF-0066
            

  •         

  •         IBM Tivoli Fixpack 2Contact IBM support to obtain this Fixpack.
            

  •         

- 漏洞信息

6767
IBM Tivoli Management Framework Endpoint Web Server GET Request Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

- 时间线

2002-07-15 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

IBM Tivoli Management Framework Endpoint Buffer Overflow Vulnerability
Boundary Condition Error 5235
Yes No
2002-07-15 12:00:00 2009-07-11 02:56:00
Discovered by Mark Rowe <mark.rowe@pentest-limited.com> and Jeff Fay <jeff@sdii.com>.

- 受影响的程序版本

IBM Tivoli Management Framework 3.7.1
IBM Tivoli Management Framework 3.7
IBM Tivoli Management Framework 3.6.1
IBM Tivoli Management Framework 3.6

- 漏洞讨论

The Tivoli Management Framework includes a HTTP server installed on endpoint hosts by default.

It has been reported that this server is susceptible to a buffer overrun condition when GET commands of excessive length are issued by clients. Remote attackers may exploit this condition to gain remote access to target hosts.

Versions 3.6.x to (and including) 3.7.1 are vulnerable.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

IBM has corrected this vulnerability in the latest Fixpack (currently Fixpack 2 or Patches 3.7.1-TMF-0066).

The following fixes were reported available by the discoverer of this vulnerability. They have not been confirmed by SecurityFocus:


IBM Tivoli Management Framework 3.6
  • IBM Tivoli Fixpack 2
    Contact IBM support to obtain this Fixpack.


IBM Tivoli Management Framework 3.6.1
  • IBM Tivoli Fixpack 2
    Contact IBM support to obtain this Fixpack.


IBM Tivoli Management Framework 3.7
  • IBM Tivoli Fixpack 2
    Contact IBM support to obtain this Fixpack.


IBM Tivoli Management Framework 3.7.1
  • IBM Patches 3.7.1-TMF-0066

  • IBM Tivoli Fixpack 2
    Contact IBM support to obtain this Fixpack.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站